tbb_exception.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "tbb_stddef.h"`
`#include <exception>`
`#include <new>`
`#include <string>`
`#include "tbb_allocator.h"`
`#include <typeinfo>`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for tbb_exception.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::bad_last_alloc
| Exception for concurrent containers. More...
class | tbb::improper_lock
| Exception for PPL locks. More...
class | tbb::user_abort
| Exception for user-initiated abort. More...
class | tbb::missing_wait
| Exception for missing wait on structured_task_group. More...
class | tbb::invalid_multiple_scheduling
| Exception for repeated scheduling of the same task_handle. More...
class | tbb::tbb_exception
| Interface to be implemented by all exceptions TBB recognizes and propagates across the threads. More...
class | tbb::captured_exception
| This class is used by TBB to propagate information about unhandled exceptions into the root thread. More...
class | tbb::movable_exception< ExceptionData >
| Template that can be used to implement exception that transfers arbitrary ExceptionData to the root thread. More...
class | tbb::internal::tbb_exception_ptr
| Exception container that preserves the exact copy of the original exception. More...

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | __TBB_tbb_exception_H_include_area

## Enumerations

enum

tbb::internal::exception_id {
tbb::internal::eid_bad_alloc = 1, tbb::internal::eid_bad_last_alloc, tbb::internal::eid_nonpositive_step, tbb::internal::eid_out_of_range,
tbb::internal::eid_segment_range_error, tbb::internal::eid_index_range_error, tbb::internal::eid_missing_wait, tbb::internal::eid_invalid_multiple_scheduling,
tbb::internal::eid_improper_lock, tbb::internal::eid_possible_deadlock, tbb::internal::eid_operation_not_permitted, tbb::internal::eid_condvar_wait_failed,
tbb::internal::eid_invalid_load_factor, tbb::internal::eid_reserved, tbb::internal::eid_invalid_swap, tbb::internal::eid_reservation_length_error,
tbb::internal::eid_invalid_key, tbb::internal::eid_user_abort, tbb::internal::eid_reserved1, tbb::internal::eid_bad_tagged_msg_cast,
tbb::internal::eid_max
}

## Functions

void __TBB_EXPORTED_FUNC | tbb::internal::throw_bad_last_alloc_exception_v4 ()
| Obsolete. More...
void __TBB_EXPORTED_FUNC | tbb::internal::throw_exception_v4 (exception_id)
| Gathers all throw operators in one place. More...
void | tbb::internal::throw_exception (exception_id eid)
| Versionless convenience wrapper for throw_exception_v4() More...

## Macro Definition Documentation

## __TBB_tbb_exception_H_include_area

#define __TBB_tbb_exception_H_include_area

Definition at line 20 of file tbb_exception.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.